Loading...
Searching...
No Matches
BALL::TMutexLocker< MutexLockerType, MutexType > Class Template Reference

`#include <BALL/SYSTEM/mutex.h>`

Inheritance diagram for BALL::TMutexLocker< MutexLockerType, MutexType >:

## Public Member Functions

| TMutexLocker (MutexType *mutex)

## Detailed Description

template<class MutexLockerType, class MutexType>
class BALL::TMutexLocker< MutexLockerType, MutexType >

This class provides a very thin wrapper around different mutex locker types. As default, BALL supports QMutexLocker, but it can be easily extended to support the same functionality with classes from boost or Intel Thread Building Blocks.

A BALL-mutex locker needs to provide a constructor which is called with a pointer to a corresponding TMutex. Upon construction, the mutex is automatically locked, and is automatically unlocked when the mutex runs out of scope.

Definition at line 72 of file mutex.h.

## Constructor & Destructor Documentation

## TMutexLocker()

template<class MutexLockerType, class MutexType>

BALL::TMutexLocker< MutexLockerType, MutexType >::TMutexLocker | ( | MutexType * | mutex | ) |

inline

Definition at line 76 of file mutex.h.